Skip to content
Documentation sections

Patch Endpoint

PATCH /endpoint/{endpoint_id} on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

Partially update an endpoint.

Path parameters

stringrequired

The ep's ID or UID To retrieve your endpoints ids, use GET /endpoint.

Request body

application/json, required.

FieldTypeRequiredDescription
descriptionstringNo—
rateLimitinteger (uint16), nullableNoRate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks.
uidstring, nullableNoThe ep's UID.
urlstring (uri)NoPublic url in your services where you plan to receive our webhooks.
versioninteger (uint16)No—
disabledbooleanNoWhen disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use.
filterTypesarray of string, nullableNo—
channelsarray of string, nullableNoList of message channels this endpoint listens to (omit for all).
secretstring, nullableNoThe endpoint's verification secret. If null is passed, a secret is automatically generated. Format: base64 encoded random bytes optionally prefixed with whsec_. Recommended size: 24.
metadataobjectNoOptional additional properties for your endpoint.
metadata.<key>stringNo—

Responses

Body: application/json, object.

FieldTypeRequiredDescription
idstringYesThe ep's ID.
metadataobjectYesOptional additional properties for your endpoint.
metadata.<key>stringNo—
descriptionstringYesAn example endpoint name.
rateLimitinteger (uint16), nullableNoRate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks.
uidstring, nullableNoOptional unique identifier for the endpoint.
urlstring (uri)YesPublic url in your services where you plan to receive our webhooks. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/.
versioninteger (int32)Yes—
disabledbooleanNoWhen disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: false.
filterTypesarray of string, nullableNo—
channelsarray of string, nullableNoList of message channels this endpoint listens to (omit for all).
createdAtstring (date-time)Yes—
updatedAtstring (date-time)Yes—